# Class IrcOptions | EchoHub Documentation

# Class IrcOptions

Namespace
  EchoHub.Server.Irc

Assembly
  EchoHub.Server.Irc.dll

    public sealed class IrcOptions

Inheritance
  object
  IrcOptions

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### IrcOptions()

    public IrcOptions()

## Fields

### SectionName

    public const string SectionName = "Irc"

#### Field Value

string

## Properties

### Enabled

    public bool Enabled { get; set; }

#### Property Value

bool

### Motd

    public string? Motd { get; set; }

#### Property Value

string

### Port

    public int Port { get; set; }

#### Property Value

int

### ServerName

    public string ServerName { get; set; }

#### Property Value

string

### TlsCertPassword

    public string? TlsCertPassword { get; set; }

#### Property Value

string

### TlsCertPath

    public string? TlsCertPath { get; set; }

#### Property Value

string

### TlsEnabled

    public bool TlsEnabled { get; set; }

#### Property Value

bool

### TlsPort

    public int TlsPort { get; set; }

#### Property Value

int